Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QWizard.WizardButton

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QWizard.WizardButton

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QWizard

    public static final class QWizard.WizardButton

extends java.lang.Enum
implements QtEnumerator

This enum specifies the buttons in a wizard. The following value is only useful when calling `setButtonLayout()`:

See also:
  `setButton()`, `setButtonText()`, `setButtonLayout()`, and `customButtonClicked()` .

See Also:
  Serialized Form

Field Summary
`static QWizard.WizardButton` | `BackButton` The Back button (Go Back on Mac OS X)
`static QWizard.WizardButton` | `CancelButton` The Cancel button (see also `NoCancelButton` )
`static QWizard.WizardButton` | `CommitButton` The Commit button
`static QWizard.WizardButton` | `CustomButton1` The first user-defined button (see also `HaveCustomButton1` )
`static QWizard.WizardButton` | `CustomButton2` The second user-defined button (see also `HaveCustomButton2` )
`static QWizard.WizardButton` | `CustomButton3` The third user-defined button (see also `HaveCustomButton3` )
`static QWizard.WizardButton` | `FinishButton` The Finish button (Done on Mac OS X)
`static QWizard.WizardButton` | `HelpButton` The Help button (see also `HaveHelpButton` )
`static QWizard.WizardButton` | `NextButton` The Next button (Continue on Mac OS X)
`static QWizard.WizardButton` | `NoButton`
`static QWizard.WizardButton` | `Stretch` A horizontal stretch in the button layout

Method Summary
`static QWizard.WizardButton` | `resolve(int value)` Returns the QWizard$WizardButton constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QWizard.WizardButton` | `valueOf(java.lang.String name)`
`static QWizard.WizardButton[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### BackButton

    public static final QWizard.WizardButton BackButton

  The Back button (Go Back on Mac OS X)

### NextButton

    public static final QWizard.WizardButton NextButton

  The Next button (Continue on Mac OS X)

### CommitButton

    public static final QWizard.WizardButton CommitButton

  The Commit button

### FinishButton

    public static final QWizard.WizardButton FinishButton

  The Finish button (Done on Mac OS X)

### CancelButton

    public static final QWizard.WizardButton CancelButton

  The Cancel button (see also `NoCancelButton` )

### HelpButton

    public static final QWizard.WizardButton HelpButton

  The Help button (see also `HaveHelpButton` )

### CustomButton1

    public static final QWizard.WizardButton CustomButton1

  The first user-defined button (see also `HaveCustomButton1` )

### CustomButton2

    public static final QWizard.WizardButton CustomButton2

  The second user-defined button (see also `HaveCustomButton2` )

### CustomButton3

    public static final QWizard.WizardButton CustomButton3

  The third user-defined button (see also `HaveCustomButton3` )

### Stretch

    public static final QWizard.WizardButton Stretch

  A horizontal stretch in the button layout

### NoButton

    public static final QWizard.WizardButton NoButton

Method Detail

### values

    public static QWizard.WizardButton[] values()

### valueOf

    public static QWizard.WizardButton valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QWizard.WizardButton resolve(int value)

  Returns the QWizard$WizardButton constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD